shishi_authorized_p(3)

NAME
shishi_authorized_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_authorized_p(Shishi * handle, Shishi_tkt * tkt, const char * authzname);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_tkt * tkt
    input variable with ticket info.

const char * authzname
    authorization name.

DESCRIPTION
Simplistic authorization of authzname against encrypted client principal name inside ticket. Currently this function only compare the principal name with authzname using strcmp().

RETURN VALUE
Returns 1 if authzname is authorized for services by authenticated client principal, or 0 otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.